@echo off
setlocal
if x%ANDROID% == x set ANDROID="C:\Users\Public\Documents\Embarcadero\Studio\17.0\PlatformSDKs\android-sdk-windows"
set SRC_PATH=src\kr\co\autoboot\BootReceiver.java
set LAST_DOMAIN=kr
set ANDROID_PLATFORM=%ANDROID%\platforms\android-23
set DX_PATH=%ANDROID%\build-tools\22.0.1
set DX_LIB=%DX_PATH%\lib
set EMBO_DEX="C:\CodeGear\Studio\17.0\lib\android\debug\classes.dex"
set PROJ_DIR=%CD%
set VERBOSE=0

echo. 
echo Compiling the Java source file
echo.
  mkdir output\classes 2> nul
  if x%VERBOSE% == x1 SET VERBOSE_FLAG=-verbose
    javac %VERBOSE_FLAG% -Xlint:all -classpath %ANDROID_PLATFORM%\android.jar -d output\classes -source 1.6 -target 1.6 %SRC_PATH%

echo.
echo Creating jar containing the new classes
echo.
  mkdir output\jar 2> nul
  if x%VERBOSE% == x1 SET VERBOSE_FLAG=v 
    jar c%VERBOSE_FLAG%f output\jar\test_classes.jar -C output\classes %LAST_DOMAIN%


echo.
echo Converting from jar to dex...
echo.
  mkdir output\dex 2> nul
  if x%VERBOSE% == x1 SET VERBOSE_FLAG=--verbose
    call %DX_PATH%\dx --dex %VERBOSE_FLAG% --output=%PROJ_DIR%\output\dex\test_classes.dex --positions=lines %PROJ_DIR%\output\jar\test_classes.jar


echo.
echo Merging dex files
echo.
java -cp %DX_LIB%\dx.jar com.android.dx.merge.DexMerger  %PROJ_DIR%\output\dex\classes.dex %PROJ_DIR%\output\dex\test_classes.dex %EMBO_DEX%


echo Tidying up
echo.
  del output\dex\test_classes.dex
  del output\jar\test_classes.jar
  rmdir output\jar


echo.
echo Now we have the end result, which is output\dex\classes.dex

:Exit   
pause   
endlocal